ListWitnesses
GET
List all Super Representatives (Confirmed state)
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Query Parameters
visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)Responses
addressstring
Super Representative (SR) address.voteCountinteger
Total number of votes received.urlstring
URL of the Super Representative's (SR) official website.totalProducedinteger
Total number of blocks produced by the SR.totalMissedinteger
Total number of blocks missed by the SR.latestBlockNuminteger
Latest block number (height).latestSlotNuminteger
Latest slot number.isJobsboolean
Whether the SR is eligible to produce blocks.cURL
curl -X GET 'https://tron-mainnet.nodit.io/walletsolidity/listwitnesses' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo'